Subject: Parasites on a Red Admiral Caterpillar

From: Ian John Waller <[email-masked]>
Date: Fri, 27 Sep 1996 11:43:09 +0100

Can any one please help i.d. some parasites I found on a Red Admiral
(Vanessa atalanta) caterpillar in County Durham, England.
 
    I think the caterpillar had just burst open and feeding? on it were
11 leech like creatures. They were 3/4 mm long & a creamy/white colour
with no apparent segmentation. Each one was in a "n" shape at first and
when one was touched it reared up to a "I" shape. I presume they are
attached by a sucker and it was waving it's head in defence.

    Am I right in thinking they are a Tachinid fly larvae ? and instead
of there being only one or two eggs, the female (or females) have
inserted too many for the host, and when feeding has began, POP, hence
the early burst.

-- 
Ian John Waller